package com.bonus.core.marketing.v2.rule.price.handler.limitmaxcount.dto;

import com.bonus.core.marketing.util.EnumUtil;
import com.bonus.core.marketing.v2.rule.price.constants.RulePriceLimitEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("计价规则详情-上限次数")
public class PriceLimitMaxCountDTO {
   @ApiModelProperty("累计上限次数")
   private Integer maxCount;
   @ApiModelProperty("限制类型")
   private Integer limitType;

   public String toString() {
      String var10000 = EnumUtil.getValueByKey(RulePriceLimitEnum.class, this.getLimitType());
      return "限制类型：" + var10000 + "<br/>上限次数：" + this.getMaxCount() + "<br/>";
   }

   public Integer getMaxCount() {
      return this.maxCount;
   }

   public Integer getLimitType() {
      return this.limitType;
   }

   public void setMaxCount(final Integer maxCount) {
      this.maxCount = maxCount;
   }

   public void setLimitType(final Integer limitType) {
      this.limitType = limitType;
   }

}
